For the complete documentation index, see llms.txt. This page is also available as Markdown.

Retrieve a payment refund

How to fetch a specific payment refund via API

To fetch a single payment refund, send a GET request to the /api/2026-05/payment_refunds/:id endpoint, where id is the ID of the resource that you want to retrieve.

Request

GET https://yourdomain.commercelayer.io/api/2026-05/payment_refunds/:id

Example

The following request fetches the payment refund identified by the ID "XAyRWNUzyN":

curl -g -X GET \
  'https://yourdomain.commercelayer.io/api/2026-05/payment_refunds/XAyRWNUzyN' \
  -H 'Accept: application/vnd.api+json' \
  -H 'Authorization: Bearer your-access-token'

On success, the API responds with a 200 OK status code, returning a single resource object:

{
  "data": {
    "id": "XAyRWNUzyN",
    "type": "payment_refunds",
    "links": {
      "self": "https://yourdomain.commercelayer.io/api/2026-05/payment_refunds/XAyRWNUzyN"
    },
    "attributes": {
      "type": "payment_authorization",
      "status": "draft",
      "payment_type": "MANUAL",
      "token": "xxxx-yyyy-zzzz",
      "currency_code": "EUR",
      "amount_cents": 1000,
      "amount_float": 10.0,
      "formatted_amount": "€10,00",
      "request_data": {},
      "response_data": {},
      "options": {
        "cancellation_reason": "fraudulent"
      },
      "requires_action_at": "2018-01-01T12:00:00.000Z",
      "processing_at": "2018-01-01T12:00:00.000Z",
      "succeeded_at": "2018-01-01T12:00:00.000Z",
      "declined_at": "2018-01-01T12:00:00.000Z",
      "failed_at": "2018-01-01T12:00:00.000Z",
      "canceled_at": "2018-01-01T12:00:00.000Z",
      "expired_at": "2018-01-01T12:00:00.000Z",
      "created_at": "2018-01-01T12:00:00.000Z",
      "updated_at": "2018-01-01T12:00:00.000Z",
      "reference": "ANY-EXTERNAL-REFEFERNCE",
      "reference_origin": "ANY-EXTERNAL-REFEFERNCE-ORIGIN",
      "metadata": {
        "foo": "bar"
      }
    },
    "relationships": {
      "payment_session": {
        "links": {
          "self": "https://yourdomain.commercelayer.io/api/2026-05/payment_refunds/XAyRWNUzyN/relationships/payment_session",
          "related": "https://yourdomain.commercelayer.io/api/2026-05/payment_refunds/XAyRWNUzyN/payment_session"
        }
      },
      "order": {
        "links": {
          "self": "https://yourdomain.commercelayer.io/api/2026-05/payment_refunds/XAyRWNUzyN/relationships/order",
          "related": "https://yourdomain.commercelayer.io/api/2026-05/payment_refunds/XAyRWNUzyN/order"
        }
      },
      "payment_setting": {
        "links": {
          "self": "https://yourdomain.commercelayer.io/api/2026-05/payment_refunds/XAyRWNUzyN/relationships/payment_setting",
          "related": "https://yourdomain.commercelayer.io/api/2026-05/payment_refunds/XAyRWNUzyN/payment_setting"
        }
      },
      "attachments": {
        "links": {
          "self": "https://yourdomain.commercelayer.io/api/2026-05/payment_refunds/XAyRWNUzyN/relationships/attachments",
          "related": "https://yourdomain.commercelayer.io/api/2026-05/payment_refunds/XAyRWNUzyN/attachments"
        }
      },
      "events": {
        "links": {
          "self": "https://yourdomain.commercelayer.io/api/2026-05/payment_refunds/XAyRWNUzyN/relationships/events",
          "related": "https://yourdomain.commercelayer.io/api/2026-05/payment_refunds/XAyRWNUzyN/events"
        }
      },
      "event_stores": {
        "links": {
          "self": "https://yourdomain.commercelayer.io/api/2026-05/payment_refunds/XAyRWNUzyN/relationships/event_stores",
          "related": "https://yourdomain.commercelayer.io/api/2026-05/payment_refunds/XAyRWNUzyN/event_stores"
        }
      },
      "payment_capture": {
        "links": {
          "self": "https://yourdomain.commercelayer.io/api/2026-05/payment_refunds/XAyRWNUzyN/relationships/payment_capture",
          "related": "https://yourdomain.commercelayer.io/api/2026-05/payment_refunds/XAyRWNUzyN/payment_capture"
        }
      },
      "return": {
        "links": {
          "self": "https://yourdomain.commercelayer.io/api/2026-05/payment_refunds/XAyRWNUzyN/relationships/return",
          "related": "https://yourdomain.commercelayer.io/api/2026-05/payment_refunds/XAyRWNUzyN/return"
        }
      }
    },
    "meta": {
      "created_with_version": "2026-05"
    }
  },
  "meta": {
    "trace_id": "69abaa3545913c78132e5578bd26208d44aa9043647d78698fd0021f3958cd74",
    "api_versions": [
      "2026-05"
    ]
  }
}

Last updated